Bug 135180 - Some driver options not syncronized with Printout Mode
Some driver options not syncronized with Printout Mode
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 15:43 EDT by Alessio Milan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:19:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alessio Milan 2004-10-09 15:43:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Some printer driver options, like Dither Alghoritm or Quality, are
determined by the Printout Mode value. Whan changing Printout Mode
value, the dependent options should be updated as well or simply
displayed as "Controlled by Printout Mode". This cause that driver
parameters displayed are wrong. You can see the correct options using
the CUPS admin web interface.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.98-1

How reproducible:
Always

Steps to Reproduce:
1. start system-config-printer
2. select a queue and press "Edit"
3. select the "Driver options" tab
4. change the value of "Printout Mode"

Actual Results:  The values of Dither Alghoritm, Quality, Ghostscript
resolution and others should change according to Printout Mode or,
better, changed to "Controlled by Printout Mode" or similar string.

Expected Results:  Those values don't change

Additional info:

You can see the correct behavior using the CUPS admin web tool.
Comment 1 Tim Waugh 2004-10-10 04:13:26 EDT
Which driver do you mean?  hpijs?  gimp-print?

Anyway this is entirely controlled by the foomatic data.
Comment 2 Alessio Milan 2004-10-10 13:15:31 EDT
I choose the raccomended driver: gimp-print-ijs

FYI the selected printer is an Epson Stylus C64, but is happens with
an Epson Stylus C70 as well.
Comment 3 Matthew Miller 2005-04-26 11:17:10 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Alessio Milan 2005-04-27 03:32:58 EDT
It is still an issue with current FC3 updates.
Comment 5 Matthew Miller 2006-07-10 18:08:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 10:19:11 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.